We have moved at community.getvera.com

Author Topic: Lua module lxp not found  (Read 1080 times)

Offline scyto

  • Jr. Member
  • **
  • Posts: 88
  • Karma: +1/-0
Lua module lxp not found
« on: March 08, 2016, 10:52:18 pm »
I have a plugin that on startup is looking for lxp - any idea where i can find this / how i get it (luarocks doesn't know this package).

This is the plugin https://github.com/garrettwp/mios-universal-devices-isy-plugin

Code: [Select]
2016-03-08 19:38:21.930   openLuup.scheduler:: [4] device startup
2016-03-08 19:38:21.977   openLuup.context_switch::  ERROR: ./L_ISYController1.lua:12: module 'lxp' not found:
no field package.preload['lxp']
no file './lxp.lua'
no file '/usr/local/share/lua/5.1/lxp.lua'
no file '/usr/local/share/lua/5.1/lxp/init.lua'
no file '/usr/local/lib/lua/5.1/lxp.lua'
no file '/usr/local/lib/lua/5.1/lxp/init.lua'
no file '/usr/share/lua/5.1/lxp.lua'
no file '/usr/share/lua/5.1/lxp/init.lua'
no file '../cmh-lu/lxp.lua'
no file '/etc/cmh-ludl/lxp.lua'
no file '/etc/cmh-lu/lxp.lua'
no file './lxp.so'
no file '/usr/local/lib/lua/5.1/lxp.so'
no file '/usr/lib/arm-linux-gnueabihf/lua/5.1/lxp.so'
no file '/usr/lib/lua/5.1/lxp.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
2016-03-08 19:38:21.978   openLuup.scheduler:: job aborted : ./L_ISYController1.lua:12: module 'lxp' not found:
no field package.preload['lxp']
no file './lxp.lua'
no file '/usr/local/share/lua/5.1/lxp.lua'
no file '/usr/local/share/lua/5.1/lxp/init.lua'
no file '/usr/local/lib/lua/5.1/lxp.lua'
no file '/usr/local/lib/lua/5.1/lxp/init.lua'
no file '/usr/share/lua/5.1/lxp.lua'
no file '/usr/share/lua/5.1/lxp/init.lua'
no file '../cmh-lu/lxp.lua'
no file '/etc/cmh-ludl/lxp.lua'
no file '/etc/cmh-lu/lxp.lua'
no file './lxp.so'
no file '/usr/local/lib/lua/5.1/lxp.so'
no file '/usr/lib/arm-linux-gnueabihf/lua/5.1/lxp.so'
no file '/usr/lib/lua/5.1/lxp.so'
no file '/usr/local/lib/lua/5.1/loadall.so'

Offline scyto

  • Jr. Member
  • **
  • Posts: 88
  • Karma: +1/-0
Re: Lua module lxp not found
« Reply #1 on: March 08, 2016, 11:07:14 pm »
I answered my own question.

i ran this on my pi "luarocks install LuaExpat" - solved the issue. now to dig deeper. (though how the eff you are supposed to work that out from the module name it errors is beyond me - thank god for google)
« Last Edit: March 09, 2016, 02:02:44 am by scyto »